=== mcs/class/CustomMarshalers/Makefile ===
thisdir = class/CustomMarshalers
SUBDIRS = 
include ../../build/rules.make

LIBRARY = CustomMarshalers.dll
LIB_REFS = System
LIB_MCS_FLAGS = /r:$(corlib)
NO_TEST = yes

include ../../build/library.make
