=== debian/changelog ===
mono (4.2.1.102+dfsg2-7ubuntu4) xenial; urgency=medium

  * Fix libmono-2.0-1 package on arm64 (Jo Shields).
  * mono-archs.mk (DEB_MONO_ARCHS): Re-add powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Apr 2016 15:28:35 +0200

mono (4.2.1.102+dfsg2-7ubuntu3) xenial; urgency=medium

  * Build libmono-2.0-1 on arm64.
  * mono-runtime-dbg: Fix dependencies on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Apr 2016 14:35:17 +0200

mono (4.2.1.102+dfsg2-7ubuntu2) xenial; urgency=medium

  * mono-archs.mk (DEB_MONO_ARCHS): Add arm64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Apr 2016 13:43:03 +0200

mono (4.2.1.102+dfsg2-7ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    + Enable powerpc build. Update powerpc symbols.
    + Make s390x build use -O0, as otherwise it fails to bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Apr 2016 12:01:09 +0200

mono (4.2.1.102+dfsg2-7) unstable; urgency=medium

  [ Jo Shields ]
  * [ddd8779] Suggest reference assemblies for mono-devel. Not needed, but 
    sometimes useful.
  * [1975195] Use X509 serial number in Mono cert store filename.
    The Mono cert store traditionally uses the SKI for the filename of a 
    certificate, but this does not handle cases where a cert has been 
    reissued with the same SKI but different serial (seen in the wild 
    with StartCom certs). This patch appends the serial to all new 
    imported certs, and attempts to interoperate cleanly with existing 
    serial-less certificate stores to avoid duplication.
    (Closes: #30902)
  * [4725363] Fix cert store mover (symlinks to directories are -d)
  * [6da2dfa] Prerequisite near-empty commit for arm64 patch to apply
  * [bba162f] Backport 3cd04f97199ff38d7316587e44381638ba469565 to 4.2 branch
  * [2e9629f] Fix edge case in new certdir migration code (Closes: #820082)
  * [1c25daa] Add ARM64 packages - SGen only (Closes: #789771)
  * [664b438] Fix up sgen-only packackaging rules

  [ Rodrigo Kumpera ]
  * [609e2d7] [utils] Fix amd64 version of MONO_CONTEXT_GET_CURRENT.
    (Closes: #818329)
    Registers must be saved in MonoContext in the same order as 
    mono_sigctx_to_monoctx.
    This caused crashes on linux when unified suspend was enabled.
    https://bugzilla.xamarin.com/show_bug.cgi?id=33020
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=818329
    (cherry picked from upstream commit 23e34d77f2fd23ab5d61f6ba4aa905817f57668a)

  [ Zoltan Varga ]
  * [efc7a57] Implement handler block guard trampolines.
    (cherry picked from commit d93dab827831b94fc65ab9dae5ce531e8ccd7ebe)
  * [9414811] Fix the generation of static rgctx trampolines when using aot 
    on linux.
    (cherry picked from commit 455d2b81e2e662569b9654c79b5e1763bf133fa0)


 -- Jo Shields <jo.shields@xamarin.com>  Mon, 11 Apr 2016 17:22:16 +0100

mono (4.2.1.102+dfsg2-6) unstable; urgency=medium

  * [d2d5aeb] Don't remap all versions of Npgsql to 4.0.0.0.
  * [dc3f62a] Don't use unowned /usr/share/.mono for certs (Closes: #808308)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 15 Feb 2016 15:09:36 +0000

mono (4.2.1.102+dfsg2-5ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining changes
    + Enable powerpc build. Update powerpc symbols.
    + Make s390x build use -O0, as otherwise it fails to bootstrap.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 15 Dec 2015 11:38:57 +0000

mono (4.2.1.102+dfsg2-5) unstable; urgency=medium

  * [db6d214] Make XBuild assume TargetFrameworkVersion 4.5, if none specified

 -- Jo Shields <jo.shields@xamarin.com>  Tue, 15 Dec 2015 10:47:33 +0000

mono (4.2.1.102+dfsg2-4ubuntu2) xenial; urgency=high

  * Enable powerpc build. Update powerpc symbols.
  * Make s390x build use -O0, as otherwise it fails to bootstrap.
  * Drop the no-pie build, as it is irrelevant.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 13 Dec 2015 23:48:15 +0000

mono (4.2.1.102+dfsg2-4ubuntu1) xenial; urgency=medium

  * Force no-pie build.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Dec 2015 18:40:27 +0100

mono (4.2.1.102+dfsg2-4) unstable; urgency=medium

  * [4ff4a7a] Final fix for symbols
  * [546ee96] I... have no idea how these deltas ended up existing, vs. 
    the tarball. Thanks, git, you weird little monkey.

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Dec 2015 12:39:05 +0000

mono (4.2.1.102+dfsg2-3) experimental; urgency=medium

  * [17c35c4] Fix more .symbols errors

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 26 Nov 2015 08:58:08 +0000

mono (4.2.1.102+dfsg2-2) experimental; urgency=medium

  * [924cd9b] Bump clideps
  * [b49e1b9] Move arch-specific symbols to the right places, and refresh
  * [7ca9a4a] Remove PowerPC port. Sorry guys, you had your chance
  * [36c1be2] Force pthread for --with-tls on MIPS.

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 25 Nov 2015 18:51:02 +0000

mono (4.2.1.102+dfsg2-1) experimental; urgency=medium

  * [d72f12c] Imported Upstream version 4.2.1.102+dfsg
  * [1fcbc08] Add new ServiceModel packages
  * [c963f9a] Add missing PPC64 symbols (Closes: #801423)
  * [b786709] Correct webbrowser4.0-cil description (Closes: #792682)
  * [6cb3b0c] Refresh symbols files
  * [3cd94e3] bump standards version
  * [7bbf509] Ignore false license-problem-non-free-RFC Lintian warning
  * [a90d8ee] Fix up copyright file to meet spec better
  * [11f70be] Delete .chm files from orig source
  * [91baf4d] Imported Upstream version 4.2.1.102+dfsg2
  * [18ab848] More copyright file fixes
  * [e56a81f] Rename symbolicate to mono-symbolicate

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 18 Nov 2015 17:16:19 +0000

mono (4.0.2.5+dfsg-2) experimental; urgency=medium

  * [7df1162] Add missing ppc64el .symbols files
  * [f38375e] mono-threads-linux.c also applies to other OSes with
    GNU userland.
  * [14dd9bb] Big Endian fix by Than Ngo <than@redhat.com> from 
    https://bugzilla.xamarin.com/show_bug.cgi?id=31779

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 27 Jul 2015 12:20:34 +0100


