=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/mono/mono-([\d\.]+)\.tar\.bz2
